<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:orientation="vertical"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent">
    <EditText android:id="@+id/vibrate_pattern"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content" />
    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content">
        <Button android:id="@+id/button1"
            android:text="1"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button2"
            android:text="2"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button3"
            android:text="3"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button_back"
            android:text="back"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
    </LinearLayout>
    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content">
        <Button android:id="@+id/button4"
            android:text="4"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button5"
            android:text="5"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button6"
            android:text="6"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button_clear"
            android:text="clear"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
    </LinearLayout>
    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content">
        <Button android:id="@+id/button7"
            android:text="7"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button8"
            android:text="8"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button9"
            android:text="9"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button_test"
            android:text="test"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
    </LinearLayout>
    <LinearLayout
            android:orientation="horizontal"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content">
        <LinearLayout
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button0"
            android:text="0"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <LinearLayout
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
        <Button android:id="@+id/button_next"
            android:text="next"
            android:layout_weight="1.0"
            android:layout_width="0dp"
            android:layout_height="wrap_content" />
    </LinearLayout>
</LinearLayout>
